Patchwork [1/4] perl: remove redundant patches

login
register
mail settings
Submitter Arnout Vandecappelle
Date Nov. 9, 2012, 7:34 p.m.
Message ID <1352489646-30635-1-git-send-email-arnout@mind.be>
Download mbox | patch
Permalink /patch/198148/
State Superseded
Headers show

Comments

Arnout Vandecappelle - Nov. 9, 2012, 7:34 p.m.
From: "Arnout Vandecappelle (Essensium/Mind)" <arnout@mind.be>

Now we are using perlcross, the patches to make perl work with qemu are
redundant, so remove them.

Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
---
 package/perl/perl-configure-qemu.patch   |   53 ------------------------------
 package/perl/perl-fix-Module-Build.patch |   16 ---------
 package/perl/perl-make-ext.patch         |   24 --------------
 package/perl/perl-mkppport.patch         |   37 ---------------------
 4 files changed, 130 deletions(-)
 delete mode 100644 package/perl/perl-configure-qemu.patch
 delete mode 100644 package/perl/perl-fix-Module-Build.patch
 delete mode 100644 package/perl/perl-make-ext.patch
 delete mode 100644 package/perl/perl-mkppport.patch
Francois Perrad - Nov. 10, 2012, 7:59 a.m.
Arnout,

package/perl/perl-fix-Module-Build.patch is still useful for cpanminus.

Fran├žois

2012/11/9 Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>:
> From: "Arnout Vandecappelle (Essensium/Mind)" <arnout@mind.be>
>
> Now we are using perlcross, the patches to make perl work with qemu are
> redundant, so remove them.
>
> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
> ---
>  package/perl/perl-configure-qemu.patch   |   53 ------------------------------
>  package/perl/perl-fix-Module-Build.patch |   16 ---------
>  package/perl/perl-make-ext.patch         |   24 --------------
>  package/perl/perl-mkppport.patch         |   37 ---------------------
>  4 files changed, 130 deletions(-)
>  delete mode 100644 package/perl/perl-configure-qemu.patch
>  delete mode 100644 package/perl/perl-fix-Module-Build.patch
>  delete mode 100644 package/perl/perl-make-ext.patch
>  delete mode 100644 package/perl/perl-mkppport.patch
>
> diff --git a/package/perl/perl-configure-qemu.patch b/package/perl/perl-configure-qemu.patch
> deleted file mode 100644
> index c2d6b92..0000000
> --- a/package/perl/perl-configure-qemu.patch
> +++ /dev/null
> @@ -1,53 +0,0 @@
> -Add qemu support
> -
> -see https://rt.perl.org/rt3//Public/Bug/Display.html?id=114798
> -
> -Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
> -
> -Index: b/Configure
> -===================================================================
> ---- a/Configure
> -+++ b/Configure
> -@@ -2837,6 +2837,9 @@
> -             ;;
> -         *)  echo "Using usrinc $usrinc." >&4 ;;
> -       esac
> -+      case "$targetrun" in
> -+      *qemu*) targethost=dummy ;;
> -+      esac
> -       case "$targethost" in
> -       '') echo "Targethost not defined." >&4; croak=y ;;
> -         *)  echo "Using targethost $targethost." >&4
> -@@ -2868,7 +2871,7 @@
> -       case "$targetfrom" in
> -       '') targetfrom=scp ;;
> -       esac
> --      run=$run-$targetrun
> -+      run=$run-`basename $targetrun`
> -       to=$to-$targetto
> -       from=$from-$targetfrom
> -       case "$targetdir" in
> -@@ -2908,6 +2911,14 @@
> - $targetrun -l $targetuser $targethost "cd \$cwd && ./\$exe \$@"
> - EOF
> -           ;;
> -+      *qemu*)
> -+          to=:
> -+          from=:
> -+          cat >$run <<EOF
> -+#!/bin/sh
> -+$targetrun -L $qemulib "\$@"
> -+EOF
> -+          ;;
> -       *)  echo "Unknown targetrun '$targetrun'" >&4
> -           exit 1
> -           ;;
> -@@ -5048,7 +5059,7 @@
> - echo " ";
> - echo "Checking if your compiler accepts $flag" 2>&1;
> - echo "int main(void) { return 0; }" > gcctest.c;
> --if $cc -O2 $flag -o gcctest gcctest.c 2>gcctest.out && ./gcctest; then
> -+if $cc -O2 $flag -o gcctest gcctest.c 2>gcctest.out && $run ./gcctest; then
> -     echo "Yes, it does." 2>&1;
> -     if $test -s gcctest.out ; then
> -         echo "But your platform does not like it:";
> diff --git a/package/perl/perl-fix-Module-Build.patch b/package/perl/perl-fix-Module-Build.patch
> deleted file mode 100644
> index 26b15e4..0000000
> --- a/package/perl/perl-fix-Module-Build.patch
> +++ /dev/null
> @@ -1,16 +0,0 @@
> -
> -Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
> -
> -Index: b/cpan/Module-Build/lib/Module/Build/Base.pm
> -===================================================================
> ---- a/cpan/Module-Build/lib/Module/Build/Base.pm
> -+++ b/cpan/Module-Build/lib/Module/Build/Base.pm
> -@@ -456,7 +456,7 @@
> -   my $proto = shift;
> -   my $c     = ref($proto) ? $proto->{config} : 'Module::Build::Config';
> -
> --  my $perl  = $^X;
> -+  my $perl  = $ENV{RUN_PERL} || $^X;
> -   my $perl_basename = File::Basename::basename($perl);
> -
> -   my @potential_perls;
> diff --git a/package/perl/perl-make-ext.patch b/package/perl/perl-make-ext.patch
> deleted file mode 100644
> index e0195e7..0000000
> --- a/package/perl/perl-make-ext.patch
> +++ /dev/null
> @@ -1,24 +0,0 @@
> -Don't use RUN with make (only for perl)
> -
> -Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
> -
> -Index: b/make_ext.pl
> -===================================================================
> ---- a/make_ext.pl
> -+++ b/make_ext.pl
> -@@ -458,11 +458,13 @@
> -       # Give makefile an opportunity to rewrite itself.
> -       # reassure users that life goes on...
> -       my @args = ('config', @$pass_through);
> --      system(@run, @make, @args) and print "@run @make @args failed, continuing anyway...\n";
> -+#     system(@run, @make, @args) and print "@run @make @args failed, continuing anyway...\n";
> -+      system(@make, @args) and print "@make @args failed, continuing anyway...\n";
> -     }
> -     my @targ = ($target, @$pass_through);
> -     print "Making $target in $ext_dir\n@run @make @targ\n";
> --    my $code = system(@run, @make, @targ);
> -+#    my $code = system(@run, @make, @targ);
> -+    my $code = system(@make, @targ);
> -     die "Unsuccessful make($ext_dir): code=$code" if $code != 0;
> -
> -     chdir $return_dir || die "Cannot cd to $return_dir: $!";
> diff --git a/package/perl/perl-mkppport.patch b/package/perl/perl-mkppport.patch
> deleted file mode 100644
> index 97f27a2..0000000
> --- a/package/perl/perl-mkppport.patch
> +++ /dev/null
> @@ -1,37 +0,0 @@
> -Add RUN
> -
> -Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
> -
> -Index: b/mkppport
> -===================================================================
> ---- a/mkppport
> -+++ b/mkppport
> -@@ -1,6 +1,7 @@
> - use strict;
> - use warnings;
> -
> -+use Config;
> - use Getopt::Long;
> - use File::Spec;
> - use File::Compare qw( compare );
> -@@ -136,14 +137,18 @@
> - #----------------------------------------------
> - sub run
> - {
> -+  my @run = $Config{run};
> -+  @run = () if not defined $run[0] or $run[0] eq '';
> -   my @args = ("-I" . File::Spec->catdir((File::Spec->updir) x 2, 'lib'), @_);
> -   my $run = $perl =~ m/\s/ ? qq("$perl") : $perl;
> -   for (@args) {
> -     $_ = qq("$_") if $^O eq 'VMS' && /^[^"]/;
> -     $run .= " $_";
> -   }
> --  print "running $run\n";
> --  system $run and die "$run failed: $?\n";
> -+#  print "running $run\n";
> -+#  system $run and die "$run failed: $?\n";
> -+  print "running ", join(' ', @run, $run), "\n";
> -+  system join(' ', @run, $run) and die "@run $run failed: $?\n";
> - }
> -
> - __END__
> --
> 1.7.10.4
>
> _______________________________________________
> buildroot mailing list
> buildroot@busybox.net
> http://lists.busybox.net/mailman/listinfo/buildroot

Patch

diff --git a/package/perl/perl-configure-qemu.patch b/package/perl/perl-configure-qemu.patch
deleted file mode 100644
index c2d6b92..0000000
--- a/package/perl/perl-configure-qemu.patch
+++ /dev/null
@@ -1,53 +0,0 @@ 
-Add qemu support
-
-see https://rt.perl.org/rt3//Public/Bug/Display.html?id=114798
-
-Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
-
-Index: b/Configure
-===================================================================
---- a/Configure
-+++ b/Configure
-@@ -2837,6 +2837,9 @@
-             ;;
-         *)  echo "Using usrinc $usrinc." >&4 ;;
- 	esac
-+	case "$targetrun" in
-+	*qemu*) targethost=dummy ;;
-+	esac
- 	case "$targethost" in
- 	'') echo "Targethost not defined." >&4; croak=y ;;
-         *)  echo "Using targethost $targethost." >&4
-@@ -2868,7 +2871,7 @@
- 	case "$targetfrom" in
- 	'') targetfrom=scp ;;
- 	esac
--    	run=$run-$targetrun
-+    	run=$run-`basename $targetrun`
-     	to=$to-$targetto
-     	from=$from-$targetfrom
- 	case "$targetdir" in
-@@ -2908,6 +2911,14 @@
- $targetrun -l $targetuser $targethost "cd \$cwd && ./\$exe \$@"
- EOF
- 	    ;;
-+	*qemu*)
-+	    to=:
-+	    from=:
-+	    cat >$run <<EOF
-+#!/bin/sh
-+$targetrun -L $qemulib "\$@"
-+EOF
-+	    ;;
- 	*)  echo "Unknown targetrun '$targetrun'" >&4
- 	    exit 1
- 	    ;;
-@@ -5048,7 +5059,7 @@
- echo " ";
- echo "Checking if your compiler accepts $flag" 2>&1;
- echo "int main(void) { return 0; }" > gcctest.c;
--if $cc -O2 $flag -o gcctest gcctest.c 2>gcctest.out && ./gcctest; then
-+if $cc -O2 $flag -o gcctest gcctest.c 2>gcctest.out && $run ./gcctest; then
-     echo "Yes, it does." 2>&1;
-     if $test -s gcctest.out ; then
-         echo "But your platform does not like it:";
diff --git a/package/perl/perl-fix-Module-Build.patch b/package/perl/perl-fix-Module-Build.patch
deleted file mode 100644
index 26b15e4..0000000
--- a/package/perl/perl-fix-Module-Build.patch
+++ /dev/null
@@ -1,16 +0,0 @@ 
-
-Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
-
-Index: b/cpan/Module-Build/lib/Module/Build/Base.pm
-===================================================================
---- a/cpan/Module-Build/lib/Module/Build/Base.pm
-+++ b/cpan/Module-Build/lib/Module/Build/Base.pm
-@@ -456,7 +456,7 @@
-   my $proto = shift;
-   my $c     = ref($proto) ? $proto->{config} : 'Module::Build::Config';
- 
--  my $perl  = $^X;
-+  my $perl  = $ENV{RUN_PERL} || $^X;
-   my $perl_basename = File::Basename::basename($perl);
- 
-   my @potential_perls;
diff --git a/package/perl/perl-make-ext.patch b/package/perl/perl-make-ext.patch
deleted file mode 100644
index e0195e7..0000000
--- a/package/perl/perl-make-ext.patch
+++ /dev/null
@@ -1,24 +0,0 @@ 
-Don't use RUN with make (only for perl)
-
-Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
-
-Index: b/make_ext.pl
-===================================================================
---- a/make_ext.pl
-+++ b/make_ext.pl
-@@ -458,11 +458,13 @@
- 	# Give makefile an opportunity to rewrite itself.
- 	# reassure users that life goes on...
- 	my @args = ('config', @$pass_through);
--	system(@run, @make, @args) and print "@run @make @args failed, continuing anyway...\n";
-+#	system(@run, @make, @args) and print "@run @make @args failed, continuing anyway...\n";
-+	system(@make, @args) and print "@make @args failed, continuing anyway...\n";
-     }
-     my @targ = ($target, @$pass_through);
-     print "Making $target in $ext_dir\n@run @make @targ\n";
--    my $code = system(@run, @make, @targ);
-+#    my $code = system(@run, @make, @targ);
-+    my $code = system(@make, @targ);
-     die "Unsuccessful make($ext_dir): code=$code" if $code != 0;
- 
-     chdir $return_dir || die "Cannot cd to $return_dir: $!";
diff --git a/package/perl/perl-mkppport.patch b/package/perl/perl-mkppport.patch
deleted file mode 100644
index 97f27a2..0000000
--- a/package/perl/perl-mkppport.patch
+++ /dev/null
@@ -1,37 +0,0 @@ 
-Add RUN
-
-Signed-off-by: Francois Perrad <francois.perrad@gadz.org>
-
-Index: b/mkppport
-===================================================================
---- a/mkppport
-+++ b/mkppport
-@@ -1,6 +1,7 @@
- use strict;
- use warnings;
- 
-+use Config;
- use Getopt::Long;
- use File::Spec;
- use File::Compare qw( compare );
-@@ -136,14 +137,18 @@
- #----------------------------------------------
- sub run
- {
-+  my @run = $Config{run};
-+  @run = () if not defined $run[0] or $run[0] eq '';
-   my @args = ("-I" . File::Spec->catdir((File::Spec->updir) x 2, 'lib'), @_);
-   my $run = $perl =~ m/\s/ ? qq("$perl") : $perl;
-   for (@args) {
-     $_ = qq("$_") if $^O eq 'VMS' && /^[^"]/;
-     $run .= " $_";
-   }
--  print "running $run\n";
--  system $run and die "$run failed: $?\n";
-+#  print "running $run\n";
-+#  system $run and die "$run failed: $?\n";
-+  print "running ", join(' ', @run, $run), "\n";
-+  system join(' ', @run, $run) and die "@run $run failed: $?\n";
- }
- 
- __END__